FLANG

Public Member Functions | List of all members
Fortran::semantics::NoBranchingEnforce Class Reference

## Public Member Functions
| NoBranchingEnforce (SemanticsContext &context, parser::CharBlock sourcePosition, llvm::acc::Directive directive)
template<typename T >
bool | Pre (const T &)
template<typename T >
void | Post (const T &)
template<typename T >
bool | Pre (const parser::Statement< T > &statement)
void | Post (const parser::ReturnStmt &)
void | Post (const parser::ExitStmt &)
void | Post (const parser::StopStmt &)

The documentation for this class was generated from the following file:

- lib/Semantics/check-acc-structure.cpp